# $Revision: 1.34 $, $Date: 2006/04/05 14:07:45 $
#
# Conditional build:
%bcond_with	cppunit	# use cppunit; doesn't build with current cppunit
#
Summary:	NURBS++ library
Summary(pl):	Biblioteka NURBS++
Name:		nurbs++
Version:	3.0.11
Release:	8
License:	GPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/libnurbs/%{name}-%{version}.tar.bz2
# Source0-md5:	11aa7f2a1ae2bc3e2671d56f557fbbbf
Patch0:		%{name}-templates.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-magick.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-gcc33.patch
Patch5:		%{name}-strict_types.patch
URL:		http://libnurbs.sourceforge.net/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel >= 3.3.6
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with cppunit}
BuildRequires:	cppunit-devel
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d-3
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Non-Uniform Rational B-Splines (NURBS) curves and surface are
parametric functions which can represent any type of curves or
surfaces. This C++ library hides the basic mathematics of NURBS. This
allows the user to focus on the more challenging parts of their
projects.

%description -l pl
Wymierne krzywe i powierzchnie sklejane NURBS (Non-Uniform Rational
B-Splines) s funkcjami, ktre mog przedstawia dowolny rodzaj
krzywych lub powierzchni. Ta biblioteka C++ zawiera cz matematyczn
tych funkcji. Pozwala programicie skupi si na innych czciach
projektw.

%package devel
Summary:	NURBS++ library development package
Summary(pl):	Pliki nagwkowe biblioteki NURBS++
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick-devel >= 5.2.9
Requires:	libstdc++-devel

%description devel
NURBS++ library header files.

%description devel -l pl
Pliki nagwkowe dla biblioteki NURBS++.

%package static
Summary:	NURBS++ static library
Summary(pl):	Statyczna wersja biblioteki NURBS++
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of NURBS++ library.

%description static -l pl
Statyczna wersja biblioteki NURBS++.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__automake}
%if %{without cppunit}
export has_cppunit=no
%endif
%configure \
	--enable-shared \
	--enable-static \
	--enable-exception \
	--enable-library \
	--with-x \
	--enable-float \
	--enable-double \
	--with-opengl \
	--with-magick \
	--disable-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nurbs++-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/nurbs++
%{_mandir}/man1/nurbs++-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nurbs++.spec,v $
Revision 1.34  2006/04/05 14:07:45  hawk
- release 8 (rebuild with new ImageMagick)

Revision 1.33  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.32  2005/10/02 20:10:44  arekm
- rel 6

Revision 1.31  2004/12/12 13:36:05  ankry
- added %bcond_with cppunit: fixed build

Revision 1.30  2004/12/12 09:10:49  ankry
- added strict_types patch, rel. 5

Revision 1.29  2004/12/11 00:33:00  ankry
- rel. 4

Revision 1.28  2004/06/03 06:00:42  qboosh
- release 3 to rebuild w/o bogus deps

Revision 1.27  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.26  2003/06/06 15:12:47  qboosh
- added gcc33 patch (fix for gcc 3.3 STL)

Revision 1.25  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 05:51:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/02/18 09:28:29  qboosh
- standardized Source0 URL
- removed *.la hacking (no longer necessary)

Revision 1.22  2003/02/17 23:27:47  qboosh
- fixed libtool problems, updated link patch to generate correct libtool
  scripts even if building with nurbs++ already installed in different prefix

Revision 1.21  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.20  2002/11/25 14:17:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/10/07 11:20:14  cieciwa
- added Requires: ImageMagick for devel package, some include needed file from ImageMagic-devel.

Revision 1.17  2002/07/11 19:49:26  qboosh
- updated to 3.0.11, updated all patches and added new one
  (note: templates patch is only to avoid ICE in gcc 2.95.[34])

Revision 1.16  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/05/21 23:14:16  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/09/26 12:47:23  qboosh
- BuildRequires: autoconf, automake, libtool
- adapterized, fixed fr groups

Revision 1.9  2001/05/31 07:11:31  misiek
polish translation marked as pl

Revision 1.8  2001/05/26 22:59:34  qboosh
- fixed includes permissions
- libtoolize, updated link patch and paths removing to libtool 1.4
- release 3

Revision 1.7  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.6  2001/03/21 18:08:09  qboosh
- templates patch (bleh), removed remove-nurbsGL patch, added OpenGL support
- magick patch (update to new ImageMagick API), added ImageMagick support
- fixed linking
- pl description
- release 2

Revision 1.5  2001/03/15 00:35:59  kloczek
- renamed to nurbs++,
- added libstdc++-devel to BuildRequires,
- added %descripion (pl %description is missing),
- added correct dependences between main, devel and static,
- fixed %files flists,
- few other cocmetics and small changes.

Revision 1.4  2001/03/14 09:03:47  cieciwa
- added patch to remove broken file,
- updated %%files.
stb

Revision 1.3  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.2  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/25 08:31:04  cieciwa
- initial spec.
